package cn.dg32z.lon.checks.impl.player.breaking.rotate;

import cn.dg32z.libs.com.github.retrooper.packetevents.protocol.player.DiggingAction;
import cn.dg32z.libs.com.github.retrooper.packetevents.protocol.player.GameMode;
import cn.dg32z.lon.checks.Check;
import cn.dg32z.lon.checks.CheckData;
import cn.dg32z.lon.checks.type.BlockBreakCheck;
import cn.dg32z.lon.player.PlayerData;
import cn.dg32z.lon.utils.update.BlockBreak;

@CheckData(name = "RotationBreakA (Order)", configName = "RotationBreakA", description = "Invalid rotate when player breaking block", decay = 0.6d, experimental = true)
/* loaded from: cn_dg32z_lon_checks_impl_player_breaking_rotate.jar:cn/dg32z/lon/checks/impl/player/breaking/rotate/RotationBreakA.class */
public final class RotationBreakA extends Check implements BlockBreakCheck {
    private boolean ignorePost;

    /* JADX WARN: Unreachable blocks removed: 1, instructions: 1 */
    public void onPostFlyingBlockBreak(BlockBreak blockBreak) {
        if (this.player.gamemode == GameMode.SPECTATOR || this.player.isRiding() || blockBreak.action == DiggingAction.CANCELLED_DIGGING) {
            return;
        }
        while (true) {
            if (this.ignorePost) {
                if (1103.4111328125d - 0.9d != 1102.5111f) {
                    this.ignorePost = false;
                    if (529.0223f - 11.350129f == 517.6721f) {
                        return;
                    }
                }
            } else {
                if (!didRayTraceHit(blockBreak)) {
                    do {
                        this.buffer = 2.0d;
                    } while (917.4545f - 10.576178f != 906.87836f);
                    flagAndAlert("post-flying, action=" + String.valueOf(blockBreak.action));
                    if (1151.681396484375d - 0.2d != 1151.4814f) {
                    }
                    return;
                }
                if (1224.5232f - 11.366888f == 1213.1562f) {
                    break;
                }
            }
        }
        rewardBufferAndVL();
    }

    /* JADX WARN: Code restructure failed: missing block: B:32:0x0044, code lost:
    
        continue;
     */
    /* JADX WARN: Unreachable blocks removed: 1, instructions: 1 */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
        To view partially-correct code enable 'Show inconsistent code' option in preferences
    */
    public void onBlockBreak(cn.dg32z.lon.utils.update.BlockBreak r6) {
        /*
            r5 = this;
            goto L3
        L3:
            r0 = r5
            cn.dg32z.lon.player.PlayerData r0 = r0.player
            cn.dg32z.libs.com.github.retrooper.packetevents.protocol.player.GameMode r0 = r0.gamemode
            cn.dg32z.libs.com.github.retrooper.packetevents.protocol.player.GameMode r1 = cn.dg32z.libs.com.github.retrooper.packetevents.protocol.player.GameMode.SPECTATOR
            if (r0 != r1) goto L44
            return
        L11:
            r0 = r6
            r0.cancel()
            r0 = 4651016627926597632(0x408bbafb20000000, double:887.3726196289062)
            r1 = 4606281698874543309(0x3feccccccccccccd, double:0.9)
            double r0 = r0 - r1
            r1 = 1146986047(0x445d9e3f, float:886.4726)
            double r1 = (double) r1
            int r0 = (r0 > r1 ? 1 : (r0 == r1 ? 0 : -1))
            if (r0 == 0) goto L7a
            goto L7a
        L26:
            r0 = r6
            cn.dg32z.libs.com.github.retrooper.packetevents.protocol.player.DiggingAction r0 = r0.action
            cn.dg32z.libs.com.github.retrooper.packetevents.protocol.player.DiggingAction r1 = cn.dg32z.libs.com.github.retrooper.packetevents.protocol.player.DiggingAction.CANCELLED_DIGGING
            if (r0 != r1) goto L7b
            return
        L31:
            r0 = r5
            r1 = 1
            r0.ignorePost = r1
            r0 = 1152151602(0x44ac7032, float:1379.5061)
            r1 = 1085022305(0x40ac2061, float:5.3789525)
            float r0 = r0 - r1
            r1 = 1152107538(0x44abc412, float:1374.1272)
            int r0 = (r0 > r1 ? 1 : (r0 == r1 ? 0 : -1))
            if (r0 == 0) goto L4f
            goto L44
        L44:
            r0 = r5
            cn.dg32z.lon.player.PlayerData r0 = r0.player
            boolean r0 = r0.isRiding()
            if (r0 == 0) goto L26
            return
        L4f:
            r0 = r5
            r1 = r6
            cn.dg32z.libs.com.github.retrooper.packetevents.protocol.player.DiggingAction r1 = r1.action
            java.lang.String r1 = java.lang.String.valueOf(r1)
            java.lang.String r1 = "pre-flying, action=" + r1
            boolean r0 = r0.flagAndAlert(r1)
            if (r0 == 0) goto L7a
            r0 = r5
            boolean r0 = r0.shouldModifyPackets()
            if (r0 == 0) goto L7a
            r0 = 4649265810815057920(0x4085829f40000000, double:688.3277587890625)
            r1 = 4596373779694328218(0x3fc999999999999a, double:0.2)
            double r0 = r0 - r1
            r1 = 1143736365(0x442c082d, float:688.12775)
            double r1 = (double) r1
            int r0 = (r0 > r1 ? 1 : (r0 == r1 ? 0 : -1))
            if (r0 == 0) goto L7b
            goto L11
        L7a:
            return
        L7b:
            r0 = r5
            double r0 = r0.buffer
            r1 = 0
            int r0 = (r0 > r1 ? 1 : (r0 == r1 ? 0 : -1))
            if (r0 <= 0) goto L7a
            r0 = r5
            r1 = r6
            boolean r0 = r0.didRayTraceHit(r1)
            if (r0 != 0) goto L7a
            r0 = 4648319691259904000(0x40822621a0000000, double:580.7664184570312)
            r1 = 4606281698874543309(0x3feccccccccccccd, double:0.9)
            double r0 = r0 - r1
            r1 = 1141962611(0x4410f773, float:579.8664)
            double r1 = (double) r1
            int r0 = (r0 > r1 ? 1 : (r0 == r1 ? 0 : -1))
            if (r0 != 0) goto L31
            goto L44
            throw r-1
        */
        throw new UnsupportedOperationException("Method not decompiled: cn.dg32z.lon.checks.impl.player.breaking.rotate.RotationBreakA.onBlockBreak(cn.dg32z.lon.utils.update.BlockBreak):void");
    }

    /* JADX WARN: Code restructure failed: missing block: B:24:0x00ae, code lost:
    
        if ((987.5504150390625d - 0.2d) != 987.3504f) goto L92;
     */
    /* JADX WARN: Code restructure failed: missing block: B:28:0x01f0, code lost:
    
        if ((1359.8331f - 14.471621f) != 1345.3615f) goto L56;
     */
    /* JADX WARN: Code restructure failed: missing block: B:34:0x00fd, code lost:
    
        if ((652.2496f - 10.886147f) != 641.3634f) goto L74;
     */
    /* JADX WARN: Code restructure failed: missing block: B:41:0x01d4, code lost:
    
        if ((1070.7215576171875d - 0.7d) == 1070.0216f) goto L20;
     */
    /* JADX WARN: Code restructure failed: missing block: B:54:0x0373, code lost:
    
        if ((1000.3230590820312d - 0.7d) == 999.62305f) goto L74;
     */
    /* JADX WARN: Code restructure failed: missing block: B:60:0x00d0, code lost:
    
        r25 = r25 + 1;
     */
    /* JADX WARN: Code restructure failed: missing block: B:66:0x0304, code lost:
    
        if ((1090.6717529296875d - 0.8d) != 1089.8717f) goto L74;
     */
    /* JADX WARN: Code restructure failed: missing block: B:72:0x019d, code lost:
    
        if ((1144.931640625d - 0.6d) == 1144.3317f) goto L56;
     */
    /* JADX WARN: Code restructure failed: missing block: B:9:0x0129, code lost:
    
        if ((540.7683f - 12.190378f) == 528.57794f) goto L77;
     */
    /* JADX WARN: Multi-variable type inference failed */
    /* JADX WARN: Removed duplicated region for block: B:13:0x00b7 A[ORIG_RETURN, RETURN] */
    /* JADX WARN: Removed duplicated region for block: B:15:0x0173  */
    /* JADX WARN: Removed duplicated region for block: B:21:0x0206  */
    /* JADX WARN: Removed duplicated region for block: B:31:0x00d7  */
    /* JADX WARN: Removed duplicated region for block: B:37:0x02d7  */
    /* JADX WARN: Removed duplicated region for block: B:40:0x01bd  */
    /* JADX WARN: Removed duplicated region for block: B:42:? A[RETURN, SYNTHETIC] */
    /* JADX WARN: Removed duplicated region for block: B:46:0x0151  */
    /* JADX WARN: Removed duplicated region for block: B:55:0x012f  */
    /* JADX WARN: Removed duplicated region for block: B:63:0x02c5  */
    /* JADX WARN: Type inference failed for: r0v140, types: [java.util.List] */
    /* JADX WARN: Type inference failed for: r0v153, types: [java.util.List] */
    /* JADX WARN: Type inference failed for: r0v47, types: [java.util.List] */
    /* JADX WARN: Type inference failed for: r0v62, types: [java.util.ArrayList] */
    /* JADX WARN: Type inference failed for: r23v2, types: [cn.dg32z.lon.utils.collisions.datatypes.SimpleCollisionBox] */
    /* JADX WARN: Unreachable blocks removed: 1, instructions: 1 */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:21:0x0203 -> B:10:0x01f6). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:25:0x00ae -> B:10:0x01f6). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:29:0x01f0 -> B:10:0x01f6). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:37:0x031f -> B:26:0x0379). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:41:0x01d4 -> B:11:0x016c). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:41:0x01d4 -> B:30:0x00d0). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:51:0x028c -> B:4:0x0064). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:53:0x0373 -> B:4:0x0064). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:57:0x0273 -> B:20:0x01fc). Please report as a decompilation issue!!! */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
        To view partially-correct code enable 'Show inconsistent code' option in preferences
    */
    private boolean didRayTraceHit(cn.dg32z.lon.utils.update.BlockBreak r16) {
        /*
            Method dump skipped, instructions count: 970
            To view this dump change 'Code comments level' option to 'DEBUG'
        */
        throw new UnsupportedOperationException("Method not decompiled: cn.dg32z.lon.checks.impl.player.breaking.rotate.RotationBreakA.didRayTraceHit(cn.dg32z.lon.utils.update.BlockBreak):boolean");
    }

    public RotationBreakA(PlayerData playerData) {
        super(playerData);
        this.ignorePost = false;
    }
}
